import { BootstrapButton } from './../index';
import { BootstrapButtonStyleMode } from './../index';
import { AfterViewInit, ElementRef, OnInit, OnChanges, OnDestroy, SimpleChanges, EventEmitter } from '@angular/core';
import { BaseElement } from './smart.element';
import * as i0 from "@angular/core";
export { BootstrapButtonStyleMode, ElementRenderMode } from './../index';
export { Smart } from './smart.element';
export { BootstrapButton } from './../index';
export declare class BootstrapButtonComponent extends BaseElement implements OnInit, AfterViewInit, OnDestroy, OnChanges {
    constructor(ref: ElementRef<BootstrapButton>);
    private eventHandlers;
    nativeElement: BootstrapButton;
    /** @description Creates the component on demand.
     * @param properties An optional object of properties, which will be added to the template binded ones.
     */
    createComponent(properties?: {}): any;
    /** @description Enables or disables the button.  */
    get disabled(): boolean;
    set disabled(value: boolean);
    /** @description Sets the inner HTML of the element. */
    get innerHTML(): string;
    set innerHTML(value: string);
    /** @description Sets or gets the name attribute for the element. Name is used when submiting HTML forms. */
    get name(): string;
    set name(value: string);
    /** @description Outlines the button.  */
    get outlined(): boolean;
    set outlined(value: boolean);
    /** @description Sets or gets the style mode of the button. */
    get styleMode(): BootstrapButtonStyleMode | string;
    set styleMode(value: BootstrapButtonStyleMode | string);
    /** @description Sets or gets the size mode of the element. */
    get sizeMode(): string;
    set sizeMode(value: string);
    /** @description Sets or gets the type of the button. */
    get type(): string;
    set type(value: string);
    /** @description Sets or gets the button's value.  */
    get value(): string;
    set value(value: string);
    /** @description Click event.
    *  @param event. The custom event. 	*/
    onClick: EventEmitter<CustomEvent>;
    get isRendered(): boolean;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    /** @description Add event listeners. */
    private listen;
    /** @description Remove event listeners. */
    private unlisten;
    static ɵfac: i0.ɵɵFactoryDeclaration<BootstrapButtonComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BootstrapButtonComponent, "bootstrap-button, [bootstrap-button]", ["bootstrap-button"], { "disabled": "disabled"; "innerHTML": "innerHTML"; "name": "name"; "outlined": "outlined"; "styleMode": "styleMode"; "sizeMode": "sizeMode"; "type": "type"; "value": "value"; }, { "onClick": "onClick"; }, never>;
}
