import { BootstrapInputGroup } from './../index';
import { BootstrapInputGroupStyleMode } from './../index';
import { AfterViewInit, ElementRef, OnInit, OnChanges, OnDestroy, SimpleChanges, EventEmitter } from '@angular/core';
import { BaseElement } from './smart.element';
import * as i0 from "@angular/core";
export { BootstrapInputGroupStyleMode, ElementRenderMode } from './../index';
export { Smart } from './smart.element';
export { BootstrapInputGroup } from './../index';
export declare class BootstrapInputGroupComponent extends BaseElement implements OnInit, AfterViewInit, OnDestroy, OnChanges {
    constructor(ref: ElementRef<BootstrapInputGroup>);
    private eventHandlers;
    nativeElement: BootstrapInputGroup;
    /** @description Creates the component on demand.
     * @param properties An optional object of properties, which will be added to the template binded ones.
     */
    createComponent(properties?: {}): any;
    /** @description Sets the content before the input. */
    get contentBefore(): string;
    set contentBefore(value: string);
    /** @description Sets the content after the input. */
    get contentAfter(): string;
    set contentAfter(value: string);
    /** @description Enables or disables the element.  */
    get disabled(): boolean;
    set disabled(value: boolean);
    /** @description Sets or gets the name attribute for the element. Name is used when submiting HTML forms. */
    get name(): string;
    set name(value: string);
    /** @description Enables or disables the wrapping.  */
    get noWrap(): boolean;
    set noWrap(value: boolean);
    /** @description Sets or gets the style mode of the input group. */
    get styleMode(): BootstrapInputGroupStyleMode | string;
    set styleMode(value: BootstrapInputGroupStyleMode | string);
    /** @description Sets or gets the size mode of the element. */
    get sizeMode(): string;
    set sizeMode(value: string);
    /** @description Sets or gets the type of the input. */
    get type(): string;
    set type(value: string);
    /** @description Sets the placeholder of the input. */
    get placeholder(): string;
    set placeholder(value: string);
    /** @description Sets or gets the button's value.  */
    get value(): string;
    set value(value: string);
    /** @description Click event.
    *  @param event. The custom event. 	*/
    onClick: EventEmitter<CustomEvent>;
    get isRendered(): boolean;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    /** @description Add event listeners. */
    private listen;
    /** @description Remove event listeners. */
    private unlisten;
    static ɵfac: i0.ɵɵFactoryDeclaration<BootstrapInputGroupComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BootstrapInputGroupComponent, "bootstrap-input-group, [bootstrap-input-group]", ["bootstrap-input-group"], { "contentBefore": "contentBefore"; "contentAfter": "contentAfter"; "disabled": "disabled"; "name": "name"; "noWrap": "noWrap"; "styleMode": "styleMode"; "sizeMode": "sizeMode"; "type": "type"; "placeholder": "placeholder"; "value": "value"; }, { "onClick": "onClick"; }, never>;
}
